<?xml version="1.0" encoding="UTF-8"?>
<phpunit
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/10.3/phpunit.xsd"
    bootstrap="../tests/bootstrap.php"
    cacheDirectory="../var/cache/.phpunit.cache"
    colors="true"
    executionOrder="depends,defects"
    requireCoverageMetadata="false"
    beStrictAboutChangesToGlobalState="false"
    beStrictAboutCoverageMetadata="false"
    beStrictAboutOutputDuringTests="false"
    beStrictAboutTestsThatDoNotTestAnything="false"
    failOnIncomplete="false"
    failOnRisky="false"
    failOnSkipped="false"
    failOnWarning="false"
    testdox="true"
>
    <coverage includeUncoveredFiles="true">
        <report>
            <html outputDirectory="phpunit/html" />
        </report>
    </coverage>

    <extensions>
        <bootstrap class="DAMA\DoctrineTestBundle\PHPUnit\PHPUnitExtension" />
    </extensions>

    <logging>
        <testdoxHtml outputFile="phpunit/testdox.html" />
    </logging>

    <php>
        <env name="APP_ENV" value="test" force="true" />
        <ini name="memory_limit" value="-1" />
<!--        <env name="SYMFONY_DEPRECATIONS_HELPER" value="logFile=var/log/deprecations.log"/>-->
    </php>

    <testsuites>
        <testsuite name="default">
            <directory>../tests</directory>
        </testsuite>
    </testsuites>

    <source>
        <include>
            <directory suffix=".php">../src</directory>
        </include>

        <exclude>
            <file>../src/Kernel.php</file>
        </exclude>
    </source>
</phpunit>
